
<? //$this->headScript()->prependFile(_st('mooniform.js'), 'text/javascript'); ?>
<? $this->headScript()->prependFile( '/js/profile-boost/mobile/main.js?v2', 'text/javascript'); ?>

<script type="text/javascript">
	$(document).ready( function () {
		Cubix.ProfileBoost.initConfirmation();
	});
</script>

<?
$selected_card = false;
	if ( isset($this->card) ) {
		$selected_card = $this->card;
	} else {
		foreach($this->mmg_cards as $i => $card) {
			if ( $card['is_default'] ) {
				$selected_card = $card['token'];
				break;
			}
		}
	}
?>

<? if($this->checkout_id):?>
	<input id="checkout-id" type="hidden" value="<?= $this->checkout_id ?>"/>
<? endif;?>
	
<form method="post" action="<?= $this->getLink('ob-profile-boost-confirmation') ?>">
	<input type="hidden" id='boost-profile-price' value='<?= $this->boost_profile_price ?>'/>
	<input type="hidden" id='selected-hours' value='<?= json_encode($this->boost_profile_dates) ?>'/>
	<input type="hidden" id='payment-gateway' name='payment_gateway' value='<?= $this->payment_gateway ? $this->payment_gateway : "ecardon" ?>'/>
		
	<div class="gray-box form" id="profile-boost">
		<div class="container">
			<?//= $this->render('profile-boost/anchor.phtml') ?>
			<div class="sep"></div>
			<?
			$city_m = new Model_Cities();
			if ( is_numeric($this->city) ) {
				$city = $city_m->getById($this->city);
				$city = $city->title;
			} else {
				$city = 'Index';
			}
			?>
			<p class="title"><?= __('mob_confirmation_checkout') ?></p>
			<div class='clear'></div>

			<div class="selected-dark">
				<p class="title"><?= __('selected_for') ?> <?= $city ?></p>
				<? if ( $this->errors['boosts'] ): ?>
					<div class='clear'></div>
					<p class='error'><?= $this->errors['boosts'] ?></p>
				<? endif; ?>
				<div class="clear"></div>
				<div id="selected-container">
				</div>
			</div>

			<div id="payment-process">
				<div class="clear"></div>
				<div id="total-footer">
					<p class="fleft"><?= __('total') ?></p>
					<p class="fright" id="total-price"><?= count($this->boost_profile_dates) ? number_format(count($this->boost_profile_dates) * $this->boost_profile_price, 2) : '0.00' ?> EUR</p>
				</div>
				<div class="clear"></div>
				<div class="payment-option-wrapper centerer">
					<p class="payment-text"><?= __('mob_please_select_one_of_these_options_bellow') ?></p>

                    <?/* if($this->user_id == 345573 || $this->user_id == 250871): */?>
                    <div class="payment-option <?= $this->payment_gateway == 'twispay' ? 'checked' : '' ?>" data-method="twispay">
                        <?= __('mob_checkout_with_twispay') ?>
                    </div>
                    <div class="clear"></div>
                    <?/* endif;*/?>

					<? /*<div class="payment-option <?= $this->payment_gateway == 'ecardon' ? 'checked' : '' ?>" data-method="ecardon"><?= __('mob_checkout_with_ecardon') ?></div>
					<div class="clear"></div>*/ ?>
					<?/*<div class="payment-option <?= $this->payment_gateway == 'netbanx' ? 'checked' : '' ?>" data-method="netbanx"><?= __('mob_checkout_with_netbanx') ?></div>
					<div class="clear"></div>*/?>
					
					<?/* if($this->user_id == 296800 || $this->user_id == 250871 ||  $this->user_id == 277346 ): ?>
						<div class="payment-option <?= $this->payment_gateway == '2000charge' ? 'checked' : '' ?>" data-method="2000charge">
							<?= __('mob_checkout_with_paysafe') ?>
						</div>
						<div class="clear"></div>
					<?// endif;*/?>
					
					<?php if ( count($this->boost_profile_dates) <= 2): ?>
						<?/* if($this->user_id == 296800 || $this->user_id == 250871 ||  $this->user_id == 277346 ): */?>
						<!--<div class="payment-option <?/* //= $this->payment_gateway == 'mmgbill' ? 'checked' : '' */?>" data-method="mmgbill">
							<?/*= __('mob_checkout_with_mmgbill') */?>
						</div>
						<div class="clear"></div>-->
						<?/* endif;*/?>
					<?php endif; ?>

					<?php /* ?>
					<div id="mmg-cards">
						<? if ( ! count($this->mmg_cards) ): ?>
						<label class='save-info'><input type="checkbox" value="1" name="save_info" class="mooniform"/><span><?= __('save_card_for_future_use') ?></span></label>
						<? else: ?>
						<ul>
							<div class="overlay"></div>
							<li>
								<div class="radio">
									<label><input type="radio" value="" class="mooniform" name="card" <?= ! $selected_card ? 'checked="checked"' : '' ?>/><span><?= __('pay_with_new_card') ?></span></label>
								</div>
								<div class="clear"></div>
								<div class="checkbox" style="margin: 0px 0 0 25px">
									<label><input type="checkbox" value="1" class="mooniform" name="save_info" <?= $selected_card ? 'disabled="disabled"' : '' ?>/><span><?= __('save_card_for_future_use') ?></span></label>
								</div>
							</li>
							<div class="clear"></div>
							<li>
								<span style="font-size: 15px;"><?= __('or_select_one_of_the_cards_used_in_past') ?></span>
							</li>
							<div class="clear"></div>
							<? foreach($this->mmg_cards as $i => $card): ?>
							<li>
								<div class="radio">
									<input type="radio" class="mooniform" name="card" value="<?= $card['token'] ?>" <?= $card['token'] == $selected_card ? 'checked="checked"' : '' ?>/>
								</div>
								<div class="card-row" card-id="<?= $card['token'] ?>">
									<div class="card-icon <?= $card['type'] ? $card['type'] : '' ?>"></div>
									<div class="card-info fleft">
										<div class="number fleft">
											<?= $card['number'] ?>
										</div>
										<div class="clear"></div>
										<div class="actions fleft">
											<span class="set-default" <?= $card['is_default'] ? 'style="display:none"' : '' ?>><?= __('make_default') ?></span> |
											<span class="forget-card"><?= __('forget_this_card') ?></span>
										</div>
									</div>
								</div>
								<div class="clear"></div>
								<div class="sep"></div>
							</li>
							<div class="clear"></div>
							<? endforeach; ?>
						</ul>
						<? endif; ?>
					</div>*/ ?>
                    <div class="clear"></div>
				</div>
				 
				<br>
				<div class="clear"></div>
				<div style="font-size: 13px; color: #cccccc; text-align: left"><?= __('checkout_bottom_text')?></div>
				<div class="clear"></div>
					
				<div class="clear"></div>
				<div class="sep"></div>
<!--				<a class="btn-back" href="--><?//= $this->getLink('ob-profile-boost-select-hour') ?><!--"><span class="icon">--><?//= __('back') ?><!--</span></a>-->

				<div class="clear"></div>
			</div>
			
			<div class="selected-dark">
				<a class="btn-buy-now"><?= __('mob_buy_now') ?></a>
			</div>
		</div>

		
	</div>
</form>
